Axis2/C: soap header block

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap header block
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_header_block_t * | axiom_soap_header_block_create_with_parent (const axutil_env_t *env, const axis2_char_t *localname, axiom_namespace_t *ns, struct axiom_soap_header *parent)
AXIS2_EXTERN void | axiom_soap_header_block_free (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_role (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_must_understand_with_bool (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_bool_t must_understand)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_must_understand_with_string (axiom_soap_header_block_t *header_block, const axutil_env_t *env, axis2_char_t *must_understand)
AXIS2_EXTERN axis2_bool_t | axiom_soap_header_block_get_must_understand (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_soap_header_block_is_processed (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_processed (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_soap_header_block_get_role (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_block_set_attribute (axiom_soap_header_block_t *header_block, const axutil_env_t *env, const axis2_char_t *attr_name, const axis2_char_t *attr_value, const axis2_char_t *soap_envelope_namespace_uri)
AXIS2_EXTERN axis2_char_t * | axiom_soap_header_block_get_attribute (axiom_soap_header_block_t *header_block, const axutil_env_t *env, const axis2_char_t *attr_name, const axis2_char_t *soap_envelope_namespace_uri)
AXIS2_EXTERN axiom_node_t * | axiom_soap_header_block_get_base_node (axiom_soap_header_block_t *header_block, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_header_block_get_soap_version (axiom_soap_header_block_t *header_block, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_header_block_t* axiom_soap_header_block_create_with_parent | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | localname,
|  | axiom_namespace_t * | ns,
|  | struct axiom_soap_header * | parent |
| ) |  |  |

creates a soap struct

Parameters:

  | env | Environment. MUST NOT be NULL this is an internal function.

Returns:
  the created SOAP header block

AXIS2_EXTERN void axiom_soap_header_block_free | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_header_block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_char_t* axiom_soap_header_block_get_attribute | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | attr_name,
|  | const axis2_char_t * | soap_envelope_namespace_uri |
| ) |  |  |

Get the attribute of the header block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL
  | attr_name | the attribute name
  | the | namespace URI of the SOAP envelope

Returns:
  the attribute of the header block

AXIS2_EXTERN axiom_node_t* axiom_soap_header_block_get_base_node | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the header block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  the base node of the of the header block

AXIS2_EXTERN axis2_bool_t axiom_soap_header_block_get_must_understand | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

To check the SOAP mustunderstand attribute If must_understand=TRUE its set to 1, otherwise set to 0

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  AXIS2_TRUE if mustunderstand is set true. AXIS2_FALSE otherwise

AXIS2_EXTERN axis2_char_t* axiom_soap_header_block_get_role | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the SOAP role of the header block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  the SOAP role of the header block

AXIS2_EXTERN int axiom_soap_header_block_get_soap_version | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the SOAP version of the header block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  the SOAP version of the header block

AXIS2_EXTERN axis2_bool_t axiom_soap_header_block_is_processed | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

To chk if the SOAP header is processed or not

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  AXIS2_TRUE if checked AXIS2_FALSE otherwise

AXIS2_EXTERN axis2_status_t axiom_soap_header_block_set_attribute | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | attr_name,
|  | const axis2_char_t * | attr_value,
|  | const axis2_char_t * | soap_envelope_namespace_uri |
| ) |  |  |

Set the attribute of the header block

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL
  | attr_name | the attribute name
  | attr_value | the attribute value
  | soap_envelope_namespace_uri | the namsepace URI value

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_header_block_set_must_understand_with_bool | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | must_understand |
| ) |  |  |

Set the mustunderstand attribute of the SOAP header If must_understand=TRUE its set to 1, otherwise set to 0

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL
  | must_understand | SOAP mustunderstand attribute value

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_header_block_set_must_understand_with_string | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | must_understand |
| ) |  |  |

Set the SOAP mustunderstand attribute

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL
  | must_understand | SOAP mustunderstand attribute

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_header_block_set_processed | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env |
| ) |  |  |

Set the SOAP header as processed

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_header_block_set_role | ( | axiom_soap_header_block_t * | header_block,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | uri |
| ) |  |  |

Set the SOAP role

Parameters:

  | header_block | pointer to soap_header_block struct
  | env | Environment. MUST NOT be NULL
  | uri | the role URI

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE